Package: org.apache.groovy.ast.tools

## [Java] Class VisibilityUtils

- org.apache.groovy.ast.tools.VisibilityUtils

-     public class VisibilityUtils
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static int` | `getVisibility(AnnotationNode anno, AnnotatedNode node, Class<? extends AnnotatedNode> clazz, int originalModifiers)` Determine the correct modifiers by looking for a potential VisibilityOptions: annotation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static int getVisibility(AnnotationNode anno, AnnotatedNode node, Class<? extends AnnotatedNode> clazz, int originalModifiers)

      Determine the correct modifiers by looking for a potential

      VisibilityOptions:
        annotation.
      VisibilityOptions:
        @param clazz The type of node being constructed
      VisibilityOptions:
        is found
      Parameters:
        `anno` - The annotation being processed (if any) which may support a 'visibilityId' attribute
        `node` - The node being processed which may also be annotated with
        `originalModifiers` - The modifier value to adjust or return if no applicable
      Returns:
        the updated modifiers